RequirementElemType
Date: 2013-06-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.gcube.vremanagement.resourcebroker.utils.serialization.types.requirements
Enum RequirementElemType

    java.lang.Object
      java.lang.Enum<RequirementElemType>
          org.gcube.vremanagement.resourcebroker.utils.serialization.types.requirements.RequirementElemType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<RequirementElemType>

    public enum RequirementElemType

extends java.lang.Enum<RequirementElemType>

A support enum that is used to express how the constraint value should be accessed. Namely if in a String mode the character "'" must be appended to the XPath transformed query.

Author:
  Daniele Strollo (ISTI-CNR)

Enum Constant Summary
`NUMBER`
`STRING`

Method Summary
`static RequirementElemType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static RequirementElemType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### STRING

    public static final RequirementElemType STRING

### NUMBER

    public static final RequirementElemType NUMBER

Method Detail

### values

    public static RequirementElemType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (RequirementElemType c : RequirementElemType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static RequirementElemType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD